### Hierarchy

- Validator

## Index

### Constructors

- constructor

### Properties

- attributes
- customFormats
- schemas
- unresolvedRefs

### Methods

- addSchema
- validate

## Constructors

### constructor

- new Validator(): Validator

- - Defined in node_modules/jsonschema/lib/index.d.ts:5

  #### Returns Validator

## Properties

### attributes

attributes: object

- Defined in node_modules/jsonschema/lib/index.d.ts:11

#### Type declaration

- ##### [property: string]: CustomProperty

### customFormats

customFormats: object

- Defined in node_modules/jsonschema/lib/index.d.ts:7

#### Type declaration

- ##### [formatName: string]: CustomFormat

### schemas

schemas: object

- Defined in node_modules/jsonschema/lib/index.d.ts:8

#### Type declaration

- ##### [id: string]: Schema

### unresolvedRefs

unresolvedRefs: string[]

- Defined in node_modules/jsonschema/lib/index.d.ts:9

## Methods

### addSchema

- addSchema(schema?: Schema, uri?: undefined | string): Schema | void

- - Defined in node_modules/jsonschema/lib/index.d.ts:13

  #### Parameters

  - ##### Optional schema: Schema

  - ##### Optional uri: undefined | string

  #### Returns Schema | void

### validate

- validate(instance: any, schema: Schema, options?: Options, ctx?: SchemaContext): ValidatorResult

- - Defined in node_modules/jsonschema/lib/index.d.ts:14

  #### Parameters

  - ##### instance: any

  - ##### schema: Schema

  - ##### Optional options: Options

  - ##### Optional ctx: SchemaContext

  #### Returns ValidatorResult

Generated using TypeDoc